from odoo import models, fields


class ImageMixin(models.AbstractModel):
    _inherit = "image.mixin"

    # We should keep these fields because they have been used in emails in the wild. The urls
    # should continue to works.
    image = fields.Image("Deprecated image", related="image_1920")
    image_small = fields.Image("Deprecated image small", related="image_128")

    image_original = fields.Image("Deprecated image original", related="image_1920")
    image_big = fields.Image("Deprecated image big", related="image_1024")
    image_large = fields.Image("Deprecated image large", related="image_256")
    image_medium = fields.Image("Deprecated image medium", related="image_128")
